<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:47:16 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface org.eclipse.papyrus.marte.vsl.scoping.visitors.Visitor (org.eclipse.papyrus.marte.vsl 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.eclipse.papyrus.marte.vsl.scoping.visitors.Visitor (org.eclipse.papyrus.marte.vsl 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/scoping/visitors/class-use/Visitor.html" target="_top">Frames</a></li>
<li><a href="Visitor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.eclipse.papyrus.marte.vsl.scoping.visitors.Visitor" class="title">Uses of Interface<br>org.eclipse.papyrus.marte.vsl.scoping.visitors.Visitor</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.marte.vsl.scoping.visitors">org.eclipse.papyrus.marte.vsl.scoping.visitors</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.marte.vsl.scoping.visitors">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a> in <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/package-summary.html">org.eclipse.papyrus.marte.vsl.scoping.visitors</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/package-summary.html">org.eclipse.papyrus.marte.vsl.scoping.visitors</a> declared as <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#hierarchichallyAccessibleBehaviors">hierarchichallyAccessibleBehaviors</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#hierarchichallyAccessibleDataTypes">hierarchichallyAccessibleDataTypes</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#hierarchichallyAccessibleDurationObservations">hierarchichallyAccessibleDurationObservations</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#hierarchichallyAccessibleInstantObservations">hierarchichallyAccessibleInstantObservations</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Element&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#hierarchichallyAccessibleProperties">hierarchichallyAccessibleProperties</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Namespace,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#importedNamespaces">importedNamespaces</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedBehaviors">ownedAndImportedBehaviors</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedDataTypes">ownedAndImportedDataTypes</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedDurationObservations">ownedAndImportedDurationObservations</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedEnumerationLiterals">ownedAndImportedEnumerationLiterals</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedInstantObservations">ownedAndImportedInstantObservations</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Namespace,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedNamespaces">ownedAndImportedNamespaces</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedAndImportedProperties">ownedAndImportedProperties</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Classifier&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedOrInheritedAttributes">ownedOrInheritedAttributes</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Classifier&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedOrInheritedOperations">ownedOrInheritedOperations</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;org.eclipse.uml2.uml.Element&gt;,org.eclipse.uml2.uml.Classifier&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#ownedOrInheritedTupleAttributes">ownedOrInheritedTupleAttributes</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#recursivelyownedAndImportedDurationObservations">recursivelyownedAndImportedDurationObservations</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Visitor</a>&lt;org.eclipse.uml2.uml.Element,org.eclipse.uml2.uml.Namespace&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ScopingVisitors.</span><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/ScopingVisitors.html#recursivelyownedAndImportedInstantObservations">recursivelyownedAndImportedInstantObservations</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/vsl/scoping/visitors/Visitor.html" title="interface in org.eclipse.papyrus.marte.vsl.scoping.visitors">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/marte/vsl/scoping/visitors/class-use/Visitor.html" target="_top">Frames</a></li>
<li><a href="Visitor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
